this.author      = "cim"; 
this.copyright   = "� 2011-2012 cim."; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.3"; 
this.name      = "Rescue Scenario 1b Derelict";
this.description = "Scripts for the Derelicts";

//1.3 anomalies added as visual effects -spara-

this.revert = function() {
		this.ship.setScript("rescue_scenario_1_derelict.js");
		this.ship.switchAI("rescue_scenario_1_derelictAI.plist");
		// function overrides

		this.ship.script.repairsBegin = function() {
				this.attackTimer = new Timer (this, this.thargoidAttackBegin, 33+(15*Math.random()));
		}
		this.ship.script.repairWait = function() {
				if (missionVariables.rescuestation_stage <= 12) {
						this.repairTimer = new Timer (this, this.repairDone, 15+(10*Math.random()));		
				} else {
						this.repairTimer = new Timer (this, this.repairDone, 25+(25*Math.random()));
				}
		}

		this.ship.script.thargoidAttackBegin = function() {
				danger = 1+Math.floor(Math.random()*missionVariables.rescuestation_danger1)+Math.floor(Math.random()*missionVariables.rescuestation_danger2);
				if (danger < 2) {
						danger = 2;
				}
				var enemy = new Array();
				for (var i = 0; i < danger; i++)
					enemy.push(system.addVisualEffect("rrs_witchspace_anomaly",this.ship.position.add(Vector3D.randomDirectionAndLength(15E3))));
				for (i=0;i<enemy.length;i++) {
						if (enemy[i].position.distanceTo(this.ship.position) < 10E3) {
								enemy[i].position = enemy[i].position.add(enemy[i].position.subtract(this.ship.position).direction().multiply(10E3));
						}
				}
				
				leader = system.shipsWithRole("arafura-mission",this.ship,25E3);
				leader[0].commsMessage("Detecting witchspace anomalies. All [mission_rescuestation_wingname], red alert!");

		}
}
