this.author      = "cim"; 
this.copyright   = "� 2011-2012 cim."; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.3"; 
this.name = "Rescue Scenario 4b Astrominer";

//1.3 changed naming to match random shipnames style.

this.shipLaunchedFromStation = function() {
		player.consoleMessage("Tight-beam: Follow us");
		this.ship.commsMessage("Acknowledged.");
}

this.shipExitedWormhole = function() {
		this.ship.bounty = 0;
}
this.shipWillEnterWormhole = function() {
		this.ship.bounty = 0;
}

this.shipDied = function(whom,why) {
		if (whom == player.ship) {
				missionVariables.rescuestation_reputation -= 100;
				player.commsMessage(missionVariables.rescuestation_agent+": You did what?! Well, I hope it was worth the credits.");
		} else if (why == "removed") {
				player.commsMessage(missionVariables.rescuestation_agent+": Looks like they weren't able to follow us");
		}
		player.consoleMessage("Their escape craft has been destroyed");
		worldScripts["Rescue Stations"].failMission();
}

this.shipTakingDamage = function(amount,whom,type) {
		if (this.ship.energy > 0) {
				this.ship.commsMessage("Help!");
		}
}

this.shipDockedWithStation = function(station) {
		missionVariables.rescuestation_stage = 900;
		
		player.commsMessage("RRS: They're safe. Dock when ready.");
}

this.findPlayer = function() {
		if (this.ship.position.distanceTo(player.ship.position) < 25000) {
				this.ship.savedCoordinates = player.ship.position;
				this.ship.reactToAIMessage("TARGET_FOUND");
		} else {
				this.ship.reactToAIMessage("NOTHING_FOUND");
		}
}

this.decideSystem = function() {
		this.ship.displayName = this.ship.displayName + ": " + missionVariables.rescuestation_pilot;
		if (system.government == 4) {
				this.ship.reactToAIMessage("FIRST_SYSTEM");
				//this.ship.displayName = missionVariables.rescuestation_pilot+" (escaping)";
		} else {
				this.ship.reactToAIMessage("SECOND_SYSTEM");
				//this.ship.displayName = missionVariables.rescuestation_pilot+" (escaped)";
		}
}

this.getRRSLocation = function() {
		rrs = system.shipsWithRole("rescue_station",this.ship);
		if (rrs.length == 0) {
				location = system.mainStation.position;
		} else {
				location = rrs[0].position;
		}
		this.ship.savedCoordinates = location;
}



this.autopilotModeReady = function() {
		this.autopilotwilling = 1;
}

this.autopilotModeOffline = function() {
		this.autopilotwilling = 0;
}

this.autopilotContinue = function() {
		worldScripts["Rescue Autopilot"].autopilotStep(this.ship);
}
