this.author      = "cim"; 
this.copyright   = "� 2011-2012 cim."; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.2.4"; 
this.name = "Rescue Scenario 5 Freighter";

this.lastdamagecomplaint = 0;

this.shipDied = function(whom,why) {
		this.ship.commsMessage("[rescue_argh]");
		rstation = system.shipsWithPrimaryRole("rescue_station",player.ship,25600);
		if (rstation.length > 0) {
				rstation[0].commsMessage("The [mission_rescuestation_shipname] has been destroyed. Clear the pirates then return to base.");
//				rstation[0].reactToAIMessage("DOCKING_ABORTED");
		}
		worldScripts["Rescue Stations"].failMission();

		if (whom == player.ship) {
				missionVariables.rescuestation_reputation -= 20;
		}

}

this.shipWillDockWithStation = function(station) {
		station.commsMessage("The [mission_rescuestation_shipname] has docked safely. Contractors may dock when ready to be paid.");
		missionVariables.rescuestation_stage = 100;
}

this.shipTakingDamage = function(amount,whom,type) {
		if (this.ship.energy > 0) {
				if (this.lastdamagecomplaint+10 < clock.seconds) {
						this.lastdamagecomplaint = clock.seconds;
						if (this.ship.energy > this.ship.maxEnergy/4) {
								this.ship.commsMessage("[rescue_underfire]");
						} else {
								this.ship.commsMessage("[rescue_underheavyfire]");
						}
				}				
		}
}


this.getDC = function() {
		dc = this.ship.target.position.add(this.ship.target.vectorForward.multiply(3E3));
		this.ship.savedCoordinates = dc;
		this.ship.reactToAIMessage("CORRIDOR_POSITION");
}

this.getDB = function() {
		db = this.ship.target.position;
		this.ship.savedCoordinates = db;
}