this.author      = "cim"; 
this.copyright   = "� 2011-2012 cim."; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.3"; 
this.name      = "RRS Escort";
this.description = "Scripts for the Escorts";

//1.3 naming retouching -spara-

this.lastdamagecomplaint = 0;

this.shipSpawned = function() {
	if (worldScripts.randomshipnames && (!this.ship.owner || (this.ship.owner && !this.ship.owner.hasRole("rrs-arafura") && !this.ship.owner.hasRole("arafura-mission"))))
		this.ship.displayName = this.ship.displayName + ": " + worldScripts.randomshipnames.$randomHunterName(this.ship);
}

this.shipDied = function(whom,why) {
		this.ship.commsMessage("[rescue_argh]");
		if (whom == player.ship) {
				missionVariables.rescuestation_reputation -= 10;
		}

/*		if (whom) {
				player.consoleMessage(this.ship.displayName+" killed by "+whom.displayName+" using "+why);
		} else {
				player.consoleMessage(this.ship.displayName+" killed by anonymous using "+why);
		}*/


}

this.shipKilledOther = function(whom) {
		this.ship.commsMessage("[rescue_kill]");
}

this.shipAttackedWithMissile = function(missile,whom) {
		if (!this.ship.equipmentStatus("EQ_ECM") != "EQUIPMENT_OK") {
				this.ship.commsMessage("[rescue_incmissile]");
		}
}

this.shipTakingDamage = function(amount,whom,type) {
		if (type == "scrape damage" && (whom.hasRole("arafura-mission") || whom.hasRole("rrs-escort") || whom.hasRole("rescue_target"))) {
				this.ship.energy += amount; // cancel damage from collision with leader
				return;
		}
		if (!this.ship.piloted) {
				return;
		}
		if (this.ship.energy > 0) {
				if (this.lastdamagecomplaint+15 < clock.seconds) {
						this.lastdamagecomplaint = clock.seconds;
						if (this.ship.energy > this.ship.maxEnergy/4) {
								this.ship.commsMessage("[rescue_underfire]");
						} else {
								this.ship.commsMessage("[rescue_underheavyfire]");
						}
				}				
		}
}
