this.author      = "cim"; 
this.copyright   = "� 2011-2012 cim."; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.2.4"; 
this.name = "Rescue Scenario 5a Arafura";

this.lastdamagecomplaint = 0;

this.stationPosition = function() {
		rstation = system.shipsWithPrimaryRole("rescue_station");
		if (rstation.length > 0) {
				this.ship.savedCoordinates = rstation[0].position;
				this.ship.reactToAIMessage("RSTATION");
		}	else {
				this.ship.reactToAIMessage("NO_RSTATION");
		}
}

this.shipDied = function(whom,why) {
		this.ship.commsMessage("[rescue_argh]");
		rstation = system.shipsWithPrimaryRole("rescue_station",player.ship,25600);
		if (rstation.length > 0) {
				rstation[0].commsMessage("[mission_rescuestation_shipname] Leader has been destroyed. Clear the opposition then return to base.");
//				rstation[0].reactToAIMessage("DOCKING_ABORTED");
		}
		worldScripts["Rescue Stations"].failMission();

		if (whom == player.ship) {
				missionVariables.rescuestation_reputation -= 20;
		}
}

this.shipWillDockWithStation = function(station) {
		station.commsMessage("[mission_rescuestation_shipname] Leader has docked safely. Contractors may dock when ready to be paid.");
		missionVariables.rescuestation_stage = 100;
}

this.shipTakingDamage = function(amount,whom,type) {
		if (this.ship.energy > 0) {
				if (this.lastdamagecomplaint+10 < clock.seconds) {
						this.lastdamagecomplaint = clock.seconds;
						if (this.ship.energy > this.ship.maxEnergy/4) {
								this.ship.commsMessage("[rescue_underfire]");
						} else {
								this.ship.commsMessage("[rescue_underheavyfire]");
						}

						ships = system.shipsWithPrimaryRole("rrs-defender");
						for (i=0;i<ships.length;i++) {
								if (!ships[i].target) {
										if (ships[i].AI != "policeInterceptAI.plist") {
												ships[i].target = whom;
												ships[i].setAI("policeInterceptAI.plist");
										} else {
												ships[i].reactToAIMessage("GROUP_ATTACK_TARGET");
												ships[i].target = whom;
										}
								}
						}
				}				
		}
}

this.getDC = function() {
		dc = this.ship.target.position.add(this.ship.target.vectorForward.multiply(3E3));
		this.ship.savedCoordinates = dc;
		this.ship.reactToAIMessage("CORRIDOR_POSITION");
}

this.getDB = function() {
		db = this.ship.target.position;
		this.ship.savedCoordinates = db;
}


/* Autopilot functions block */

this.autopilotModeReady = function() {
		this.autopilotwilling = 1;
}

this.autopilotModeOffline = function() {
		this.autopilotwilling = 0;
}

this.autopilotContinue = function() {
		worldScripts["Rescue Autopilot"].autopilotStep(this.ship);
}